LDCONFIG(8)

NOMBRE
ldconfig - configura vínculos del enlazador dinámico durante la ejecución

SINOPSIS
/sbin/ldconfig [-nNvXV] [-f conf] [-C caché] [-r raíz] directorio...
/sbin/ldconfig -l [-v] biblioteca...
/sbin/ldconfig -p

DESCRIPCIÓN
ldconfig crea los vínculos y caché necesarios a las bibliotecas compartidas más recientes que se encuentren en los directorios especificados en la línea de órdenes, tanto en el archivo /etc/ld.so.conf como en los directorios de confianza (/lib y /usr/lib). En algunas arquitecturas de 64 bits, éstos sería para las librerías de 32 bits mientras que para las de 64 bits se usarían /lib64 y /usr/lib64.

La caché es utilizada por el enlazador durante la ejecución, ld.so o ld-linux.so. ldconfig comprueba la cabecera y los nombres de fichero de las bibliotecas que va encontrando cuando determina qué versiones deberían actualizar sus vínculos.

ldconfig intentará deducir el tipo de bibliotecas ELF (o sea, libc5 o libc6/glibc) basandose en qué bibliotecas C fue enlazada.

Algunas bibliotecas no contienen suficiente información para permitir deducir su tipo. En ese caso, el formato del fichero /etc/ld.so.conf permite especificar el tipo esperado. Esto solo se usa en aquellas bibliotecas ELF que no puedan ser gestionadas de otro modo. El formato es "dirname=TIPO", donde TIPO puede ser libc4, libc5, o libc6. (Esto también funciona en la línea de órdenes.) Los espacios no están permitidos. Véase también la opción -p. ldconfig normalmente debería ejecutarlo un usuario con privilegios de administrador ya que puede ser necesario el permiso de escritura sobre algunos directorios y ficheros cuyo propietario es root.

Observe que ldconfig solo tendrá en cuenta archivos que coincidan con estos patrones: lib*.so* (para los objetos compartidos) or ld-*.so* (para el cargador propiamente dicho). ldconfig espera una forma concreta para configuración de los enlaces dinamicos. En este ejemplo el archivo del medio (libfoo.so.1 ) es el SONAME de la biblioteca:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

Si no se sigue ese patrón, es posible que tenga problemas de compatibilidad después de actualizar.

OPCIONES

-c fmt, --format=fmt
    A partir de la versión 2.2 de glibc, el formato de cache es el siguiente: old, new, o compat. A partir de la versión 2.32, por defecto será new y anteriormente era compat.

-C caché
    Utiliza caché en vez de /etc/ld.so.cache.

-f conf
    Utiliza conf en vez de /etc/ld.so.conf.

-i, --ignore-aux-cache
    A partir de la versión 2.7 de glibc se ignora el archivo de caché auxiliar.

-l  A partir de la versión 2.2 de glibc, Modo biblioteca. Crea vínculos manualmente en bibliotecas individuales. Para usuarios avanzados.

-n  Procesa solo los directorios especificados en la línea de órdenes. No procesa los directorios de confianza, ni los especificados en /etc/ld.so.conf. Implica -N.

-N  No reconstruir la caché. A menos que se especifique también -X, los vínculos sí son actualizados.

-p, --print-cache
    Imprime las listas de directorios y bibliotecas candidatas almcenadas en la caché actual.

-r raíz
    Cambia al directorio raíz y lo utiliza como directorio raíz.

-v, --verbose
    Modo verboso. Imprime el número de versión actual, el nombre de cada directorio a medida que se examina, y los enlaces que se crean. Tiene preferencia sobre el modo silencioso.

-V, --version
    Imprime la versión del programa

-X  No actualizar los enlaces. A menos que se especifique también -N, la caché se reconstruye.

ARCHIVOS
/lib/ld.so
    Enlazador/cargador en tiempo de ejecución.
/etc/ld.so.conf
    Fichero que contiene una lista de directorios, uno en cada línea, dónde se buscarán las librerías.
/etc/ld.so.cache
    Fichero que contiene una lista ordenada de bibliotecas encontradas en los directorios especificados en /etc/ld.so.conf y en los directorios confiables.

VÉASE TAMBIÉN
ldd(1), ld.so(8)

COLOFÓN
Esta página es parte de la versión 5.10 del proyecto Linux man-pages. Puede encontrar una descripción del proyecto, información sobre cómo informar errores y la última versión de esta página en https://www.kernel.org/doc/man-pages/.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Luis M. Garcia <luismaria.garcia@hispalinux.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.